Groovy 1.7.10

## groovy.util
[Java] Class OrderBy

    java.lang.Object
      groovy.util.OrderBy

All Implemented Interfaces:
  Comparator

    public class OrderBy
    extends Object

A helper class for sorting objects via a closure to return the field or operation on which to sort.

Authors:
  James Strachan

Version:
  \$Revision: 20067 \$

Constructor Summary
`OrderBy()`
`OrderBy(Closure closure)`
`OrderBy(List closures)`

Method Summary
`void` | `add(Closure closure)`
`int` | `compare(T object1, T object2)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### OrderBy

    public OrderBy()

### OrderBy

    public OrderBy(Closure closure)

### OrderBy

    public OrderBy(List closures)

Method Detail

### add

    public void add(Closure closure)

### compare

    public int compare(T object1, T object2)

Copyright © 2003-2010 The Codehaus. All rights reserved.